From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-misc/qlcplus/
Date: Wed, 14 Jul 2021 06:25:28 +0000 (UTC) [thread overview]
Message-ID: <1626243919.3ad2bac046edb31c87c3c4017e03f3cc86ebad6f.juippis@gentoo> (raw)
commit: 3ad2bac046edb31c87c3c4017e03f3cc86ebad6f
Author: Jannis Achstetter <kripton <AT> kripserver <DOT> net>
AuthorDate: Mon Jun 28 18:36:03 2021 +0000
Commit: Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Wed Jul 14 06:25:19 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3ad2bac0
app-misc/qlcplus: Bump to v4.12.4
Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Jannis Achstetter <kripton <AT> kripserver.net>
Closes: https://github.com/gentoo/gentoo/pull/21461
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>
app-misc/qlcplus/Manifest | 1 +
app-misc/qlcplus/qlcplus-4.12.4.ebuild | 65 ++++++++++++++++++++++++++++++++++
2 files changed, 66 insertions(+)
diff --git a/app-misc/qlcplus/Manifest b/app-misc/qlcplus/Manifest
index d26d2b2747a..0e959bb0d51 100644
--- a/app-misc/qlcplus/Manifest
+++ b/app-misc/qlcplus/Manifest
@@ -1,3 +1,4 @@
DIST QLC+_4.12.2.tar.gz 10804401 BLAKE2B 95b005985da99d1d1f557b4ac5d6ae7d844ea4f69a7cfa63d79b288ce654b5a70f9e6168f6fd4144496d3cff59a721972acd3ba47fd1477ab4bfd0218f5aeeda SHA512 b274f0559ce15e045d653f4c034dc083922a13c6f9c5e7ba11026b3be9bb85fe447bb489d536dd24bb99bd4b08433f24f1713b73701afff99fa845fcef2547af
DIST QLC+_4.12.3.tar.gz 10954027 BLAKE2B 9a188e2bc2cce1a0a5170122989d5ee1194a83e7d1c8c05a80ad6271e903941effb5c63940a941fa32146699b3b2a7943b9938a5407420da69c1199b5f6f217b SHA512 f25601a44a81d2fd15c54a05588e687fa1f0c0473d0e2188fa0c052b905df806b0516f8b80bf28451a583aa241d137f858fe83b9d7e0e0747bcc3b0bae91d9f0
+DIST QLC+_4.12.4.tar.gz 11166224 BLAKE2B 37b5088c8e7be08fa39aa11e35b8284e60788da94ac4f2dfb9bf4b0615408735c8c1b7c61efe37810ea7ee662a4efe5c0e17d54d45a7b637ddef4a1cc4c5a760 SHA512 19893c5f29602e2e65db9eb162c3f45ce3f028424ecf17d7615f9d3ada8a871dd1a1827ea9a243d7bd0f23ba7e9fb2340531154ac557d5756f0aa05648c56b13
DIST QLC+_5.0.0_alpha3.tar.gz 10016411 BLAKE2B 51c0885f6e2e286f9f63830bcd269db699946c0969cb0f0a0139f82a421a9a4957ab07612db7aa047fe6650a642479282f6cfe0d124a41a935dd853d09b7253f SHA512 e703747aa243bc4c6b2e9fc3cf1a4e67524fa13fa64a59054e66164e879073b1bd69756a42bb423ff05dcb7da946cbcd99bb9edc3fde9a70d75b8a9f164a71d0
diff --git a/app-misc/qlcplus/qlcplus-4.12.4.ebuild b/app-misc/qlcplus/qlcplus-4.12.4.ebuild
new file mode 100644
index 00000000000..e2652b67043
--- /dev/null
+++ b/app-misc/qlcplus/qlcplus-4.12.4.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit qmake-utils udev virtualx xdg
+
+DESCRIPTION="A software to control DMX or analog lighting systems"
+HOMEPAGE="https://www.qlcplus.org/"
+SRC_URI="https://github.com/mcallegari/${PN}/archive/QLC+_${PV}.tar.gz"
+S="${WORKDIR}/qlcplus-QLC-_${PV}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ dev-qt/linguist-tools:5
+"
+RDEPEND="
+ dev-embedded/libftdi:=
+ dev-libs/glib:2
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtmultimedia:5[widgets]
+ dev-qt/qtnetwork:5
+ dev-qt/qtscript:5
+ dev-qt/qtwidgets:5
+ media-libs/alsa-lib
+ media-libs/libmad
+ media-libs/libsndfile
+ sci-libs/fftw:3.0
+ virtual/libusb:0
+ virtual/libusb:1
+ virtual/udev
+"
+DEPEND="${RDEPEND}
+ dev-qt/qttest:5
+"
+
+src_prepare() {
+ default
+
+ sed -e "/UDEVRULESDIR/s:/etc/udev/rules.d:$(get_udevdir)/rules.d:" \
+ -i variables.pri || die
+
+ ## Remove Werror-flag since there are some warnings with gcc-9.x
+ sed -e "s/QMAKE_CXXFLAGS += -Werror/#&/g" \
+ -i variables.pri || die
+}
+
+src_configure() {
+ eqmake5
+}
+
+src_install() {
+ emake INSTALL_ROOT="${D}" install
+}
+
+src_test() {
+ virtx emake check
+}
next reply other threads:[~2021-07-14 6:25 UTC|newest]
Thread overview: 38+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-07-14 6:25 Joonas Niilola [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-31 11:27 [gentoo-commits] repo/gentoo:master commit in: app-misc/qlcplus/ Andreas Sturmlechner
2024-07-04 13:43 Joonas Niilola
2024-07-04 13:43 Joonas Niilola
2024-01-17 6:02 Sam James
2024-01-16 11:53 Andreas Sturmlechner
2024-01-16 11:53 Andreas Sturmlechner
2023-10-21 21:04 Andreas Sturmlechner
2023-10-21 21:04 Andreas Sturmlechner
2023-10-21 21:04 Andreas Sturmlechner
2023-10-11 10:05 Viorel Munteanu
2022-09-27 12:31 Joonas Niilola
2022-09-11 22:25 Sam James
2022-08-04 6:37 Joonas Niilola
2022-08-04 6:37 Joonas Niilola
2022-08-04 6:37 Joonas Niilola
2022-08-04 6:37 Joonas Niilola
2021-04-23 5:57 Joonas Niilola
2020-09-07 15:43 Joonas Niilola
2019-12-08 7:41 Joonas Niilola
2019-12-07 19:38 Joonas Niilola
2019-12-07 19:38 Joonas Niilola
2019-12-07 19:38 Joonas Niilola
2018-10-27 15:57 Andreas Sturmlechner
2017-12-18 8:46 Michael Weber
2017-12-11 7:59 Michael Weber
2017-09-29 5:37 Michael Weber
2017-09-17 16:18 Andreas Sturmlechner
2017-09-17 16:18 Andreas Sturmlechner
2017-02-07 8:11 Michael Weber
2017-01-15 10:05 Michael Weber
2016-12-14 16:50 Michael Weber
2016-12-14 16:50 Michael Weber
2016-06-10 23:24 Michael Weber
2016-03-19 21:41 Patrice Clement
2016-02-29 16:19 Michael Palimaka
2016-02-20 20:56 Michael Weber
2016-02-20 12:45 Michael Weber
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1626243919.3ad2bac046edb31c87c3c4017e03f3cc86ebad6f.juippis@gentoo \
--to=juippis@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox